Package io.vertx.ext.web.common.template

## Class CachingTemplateEngine<T>

- java.lang.Object
- - io.vertx.ext.web.common.template.CachingTemplateEngine<T>

- All Implemented Interfaces:
    `TemplateEngine`

      public abstract class CachingTemplateEngine<T>
      extends Object
      implements TemplateEngine

  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `extension` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CachingTemplateEngine​(Vertx vertx, String ext)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String` | `adjustLocation​(String location)` |
    `void` | `clearCache()` | Clears any internal caches used by this engine.
    `CachedTemplate<T>` | `getTemplate​(String filename)` |
    `CachedTemplate<T>` | `putTemplate​(String filename, CachedTemplate<T> cachedTemplate)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.ext.web.common.template.TemplateEngine

      `render, render, unwrap`

- - ### Field Detail

    - #### extension

          protected String extension

  - ### Constructor Detail

    - #### CachingTemplateEngine

          protected CachingTemplateEngine​(Vertx vertx,
                                          String ext)

  - ### Method Detail

    - #### getTemplate

          public CachedTemplate<T> getTemplate​(String filename)

    - #### putTemplate

          public CachedTemplate<T> putTemplate​(String filename,
                                               CachedTemplate<T> cachedTemplate)

    - #### adjustLocation

          protected String adjustLocation​(String location)

    - #### clearCache

          public void clearCache()

      Description copied from interface: `TemplateEngine`
      Clears any internal caches used by this engine. For most engines this means clearing the vert.x cache, implementations that do not use vert.x as a cache should clear their own cache.
      Specified by:
        `clearCache` in interface `TemplateEngine`